<?php
/**
 * @package WordPress
 * @subpackage Blue_Dream_Theme
 */

get_header();
?>
<div id="wrapper">
	<div id="content">
		<?php if (have_posts()) : ?>
		<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
 	  <?php /* If this is a category archive */ if (is_category()) { ?>
		<h2 class="pagetitle">Archive for the &#8216;<?php single_cat_title(); ?>&#8217;</h2>
 	  <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
		<h2 class="pagetitle">Posts Tagged &#8216;<?php single_tag_title(); ?>&#8217;</h2>
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('F jS, Y'); ?></h2>
 	  <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('F, Y'); ?></h2>
 	  <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('Y'); ?></h2>
	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle">Author Archive</h2>
 	  <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="pagetitle">Blog Archives</h2>
 	  <?php } ?>
		<?php while (have_posts()) : the_post(); ?>
		<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
			<div class="post-header">
				<h2 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				<p class="postmetadata">
					Posted in <?php the_category(', ') ?> on <?php the_time('F jS Y') ?> <!-- by <?php the_author() ?> --><br />
					<?php the_tags('Tags: ', ', ', '<br />'); ?> 
					<?php edit_post_link('Edit', '', ' | '); ?>  <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>						
				</p>	
			</div>
			<div class="entry">
				<?php the_content('Read the rest of this entry &raquo;'); ?>
			</div>			
		</div>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('Older Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Newer Entries') ?></div>
		</div>
		<br style="clear:both;" />
		
	<?php else :

		if ( is_category() ) { // If this is a category archive
			printf("<div class='sorry'>Sorry, but there are no posts in the <strong>%s</strong> category.</div>", single_cat_title('',false));
		} else if ( is_date() ) { // If this is a date archive
			echo("<div class='sorry'>Sorry, but there are no posts published this date.</div>");
		} else if ( is_author() ) { // If this is a category archive
			$userdata = get_userdatabylogin(get_query_var('author_name'));
			printf("<div class='sorry'>Sorry, but <strong>%s</strong> haven't posted anything yet.</div>", $userdata->display_name);
		} else {
			echo("<div class='sorry'>No posts found.</div>");
		}		

	endif;
?>

	</div>

<?php get_sidebar(); ?>
<br style="clear:both;" />
</div><!-- End wrapper div -->
<?php get_footer(); ?>
