<?php
/**
 * @package WordPress
 * @subpackage Blue_Dream_Theme
 */

// Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

	if ( post_password_required() ) { ?>
		<p class="nocomments">This post is password protected. Enter the password to view comments.</p>
	<?php
		return;
	}
	$path = get_template_directory_uri().'/images/'; //get the image folder of current theme
?>

<!-- You can start editing here. -->


<div class="comment-header">
	<h3><?php comments_number('No Responses', 'One Response', '% Responses' );?> to &#8220;<?php the_title(); ?>&#8221;</h3>
	<?php 
		if ('open' == $post->comment_status) {
			if ( !(have_comments()) ) { 
				echo "<p class='postmetadata'>Be the first to say something about this article</p>"; 
			}
			else {
				echo "<p class='postmetadata'>Please add your comment to the article</p>";
			}
		}
		else {
			echo "<p class='postmetadata'>Comments are currently closed</p>";
		}
	?>
</div>

<?php if ( have_comments() ) : //Display the list of comments if there are any ?>
	<a name="comments"></a> <!-- Add an anchor so you get to the comment part when clicking comment links -->
	<div id="comments">
		<ul id="commentlist">
			<?php wp_list_comments('type=all&callback=mytheme_comment'); ?>
		</ul>
	</div>
	<div class="comments-nav">
		<?php paginate_comments_links('prev_next=false'); // use paginated comments ?> 
	</div>
<?php endif; ?>


<?php if ('open' == $post->comment_status) :  // if comments are allowed?>

<div id="respond">
	<h3><?php comment_form_title( 'Leave a Reply', 'Leave a Reply to %s' ); ?></h3>
	<div class="cancel-comment-reply">
		<small><?php cancel_comment_reply_link(); ?></small>
	</div>
	<?php if ( get_option('comment_registration') && !$user_ID ) : //check weather login is required for commenting, and if the current user is logged in ?>
		<p>You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php echo urlencode(get_permalink()); ?>">logged in</a> to post a comment.</p>
	<?php else : ?>
		<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
		
		<?php if ( $user_ID ) : //check if current user is logged in, and display the username if he/she is ?>
			<p>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Log out of this account">Log out &raquo;</a></p>
		<?php else : //if not logged in a form for inputing name and mail is needed?>
			<p>
				<input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="42" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> />
				<label for="author"><small>Name <?php if ($req) echo "*"; ?></small></label>
			</p>
			<p>
				<input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="42" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> />
				<label for="email"><small>Mail <?php if ($req) echo "*"; ?> (will not be published) </small></label>
			</p>
			<p>
				<input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="42" tabindex="3" />
				<label for="url"><small>Website</small></label>
			</p>
			<p><small><strong>Fields marked with * are required</strong></small></p>
		<?php endif; ?>

		<p><small><strong>XHTML:</strong> You can use these tags: <code><?php echo allowed_tags(); ?></code></small></p>

		<textarea name="comment" id="comment" cols="30" rows="10" tabindex="4"></textarea><br />
		<input name="submit" type="image" src="<?php echo $path; ?>sbmcbtn.png" id="submit" tabindex="5" value="Submit Comment" />
		<?php comment_id_fields(); ?>
		<?php do_action('comment_form', $post->ID); ?>
		</form>
	<?php endif; // If registration required and not logged in ?>
</div>

<?php endif; // if you delete this the sky will fall on your head ?>
