<?php
/**
 * @package WordPress
 * @subpackage Blue_Dream_Theme
 */

get_header(); ?>
<div id="wrapper">
	<div id="content">
	<?php if (have_posts()) : ?>

		<h2 class="pagetitle">Search Results</h2>
		<div class="center s_term">(You used the searchterm: <?php the_search_query(); ?>)</div>
		
		<?php while (have_posts()) : the_post(); ?>
			<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
				<div class="post-header">
					<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
					<p class="postmetadata">
						Posted in <?php the_category(', ') ?> on <?php the_time('F jS Y') ?> <!-- by <?php the_author() ?> --><br />
						<?php the_tags('Tags: ', ', ', '<br />'); ?> 
						<?php edit_post_link('Edit', '', ' | '); ?>  <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>						
					</p>				
				</div>
				<div class="entry">
					<?php the_excerpt('Read the rest of this entry &raquo;'); ?>
				</div>					
			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('Older Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Newer Entries') ?></div>
		</div>

	<?php else : ?>

		<h2 class="pagetitle">No posts found</h2>
		<div class="center s_term">(You used the searchterm: <?php the_search_query(); ?>)</div>
		<h3 class="center">Try a different search?</h3>		
		<div id="c_search">
			<?php get_search_form(); ?>
		</div>

	<?php endif; ?>

	</div>

<?php get_sidebar(); ?>
<br style="clear:both;" />
</div><!-- End wrapper div -->
<?php get_footer(); ?>