<?php
/**
 * @package WordPress
 * @subpackage Blue_Dream_Theme
 */

get_header();
?>
<div id="wrapper">
	<div id="content">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
			<div class="post-header">
				<h2><?php the_title(); ?></h2>
				<p class="postmetadata">
					Posted in <?php the_category(', ') ?> on <?php the_time('F jS Y') ?> <!-- by <?php the_author() ?> --><br />
					<?php the_tags('Tags: ', ', ', '<br />'); ?> 
					<?php edit_post_link('Edit', '', ''); ?> 
				</p>				
			</div>

			<div class="entry">
				<?php the_content('<p class="serif">Read the rest of this entry &raquo;</p>'); ?>

				<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>							
				
				<br style="clear:both" />
				<p class="alt">
					<small>						
						You can follow any responses to this entry through the <?php post_comments_feed_link('RSS 2.0'); ?> feed.

						<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Both Comments and Pings are open ?>
							You can <a href="#respond">leave a response</a>, or <a href="<?php trackback_url(); ?>" rel="trackback">trackback</a> from your own site.

						<?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Only Pings are Open ?>
							Responses are currently closed, but you can <a href="<?php trackback_url(); ?> " rel="trackback">trackback</a> from your own site.

						<?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Comments are open, Pings are not ?>
							You can skip to the end and leave a response. Pinging is currently not allowed.

						<?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Neither Comments, nor Pings are open ?>
							Both comments and pings are currently closed.

						<?php } ?>

					</small>
				</p>
				<div class="navigation">
					<div class="alignleft"><?php previous_post_link('%link') ?></div>
					<div class="alignright"><?php next_post_link('%link') ?></div>
				</div>
				<br class="clear" />
			</div>
		</div>

	<?php comments_template(); ?>

	<?php endwhile; else: ?>

		<p>Sorry, no posts matched your criteria.</p>

<?php endif; ?>

	</div>
<?php get_sidebar(); ?>
<br style="clear:both;" />
</div><!-- End wrapper div -->

<?php get_footer(); ?>
